%define	module		YAML-Syck
%define	name		perl-%{module}
%define	modprefix	YAML

%define version		1.04
%define	release		%mkrel 1

Name: 		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Fast, lightweight YAML loader and dumper
License:	MIT
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Buildrequires:	perl-devel >= 5.3
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
This module provides a Perl interface to the libsyck data
serialization library. It exports the Dump and Load functions for
converting Perl data structures to YAML strings, and the other way
around.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes COPYING README
%{_mandir}/*/*
%{perl_vendorarch}/JSON
%{perl_vendorarch}/%{modprefix}
%{perl_vendorarch}/auto/%{modprefix}


%changelog
* Sun Feb 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdv2008.1
+ Revision: 169972
- update to new version 1.04

* Mon Jan 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2008.1
+ Revision: 155677
- update to new version 1.01

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.00-2mdv2008.1
+ Revision: 151357
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2008.1
+ Revision: 116899
- update to new version 1.00
- update to new version 1.00

* Sat Nov 17 2007 Funda Wang <fundawang@mandriva.org> 0.99-2mdv2008.1
+ Revision: 109332
- rebuild

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.99-1mdv2008.1
+ Revision: 104607
- update to new version 0.99
- rollback
- update to new version 0.98

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.97-1mdv2008.0
+ Revision: 78723
- update to new version 0.97

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.96-1mdv2008.0
+ Revision: 63981
- update to new version 0.96

* Mon Aug 06 2007 Funda Wang <fundawang@mandriva.org> 0.95-1mdv2008.0
+ Revision: 59424
- New version 0.95

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.94-1mdv2008.0
+ Revision: 52532
- update to new version 0.94

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.91-1mdv2008.0
+ Revision: 46721
- update to new version 0.91

* Mon Apr 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.85-1mdv2008.0
+ Revision: 19376
-New version


* Sun Jan 28 2007 Scott Karns <scottk@mandriva.org> 0.82-1mdv2007.0
+ Revision: 114605
- Updated to CPAN version 0.82
- Changed license

* Fri Dec 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.72-1mdv2007.1
+ Revision: 97357
- new version

  + Scott Karns <scottk@mandriva.org>
    - import perl-YAML-Syck-0.67-1mdv2007.0

* Mon Jul 31 2006 Scott Karns <scottk@mandriva.org> 0.67-1mdv2007.0
- Updated to 0.67

* Sun Jul 02 2006 Scott Karns <scottk@mandriva.org> 0.61-1mdv2007.0
- Updated to 0.61

* Sun Jul 02 2006 Scott Karns <scottk@mandriva.org> 0.60-1mdv2007.0
- Updated to 0.60

* Sun May 28 2006 Scott Karns <scottk@mandriva.org> 0.45-1mdv2007.0
- Updated to 0.45

* Sat May 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.44-3mdk
- Fix BuildRequires, perl-devel is needed for the build

* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 0.44-2mdk
- Put release conditional around BuildRequires: perl-devel

* Thu May 04 2006 Scott Karns <scottk@mandriva.org> 0.44-1mdk
- Updated to 0.44

* Sun Apr 30 2006 Scott Karns <scottk@mandriva.org> 0.43-1mdk
- Updated to 0.43

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.42-2mdk
- Add BuildRequires: Perl-devel
- Fix Source URL

* Wed Apr 26 2006 Scott Karns <scottk@mandriva.org> 0.42-1mdk
- Updated to 0.42

* Wed Apr 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.41-1mdk
- contributed by  Scott Karns <scott@karnstech.com>

